/// Handles all events from SDL_PollEvent.
module mde.events;

import mde.scheduler;

import mde.input.input;

import derelict.sdl.events;

static bool run = true;

static this () {
    Scheduler.perFrame (&pollEvents);
}

void pollEvents (double) {
    SDL_Event event;
    while (SDL_PollEvent (&event)) {
        switch (event.type) {
            case SDL_QUIT:
                run = false;
            break;
            default:
                Input.instance() (event);
        }
    }
}
